# -----------------------------------------------------------------------------
# idledb option
# Specify the file that stores the idle-pc database
# Defaults to the user's home directory
# Usage:
# idledb = /usr/local/etc/dynagenidledb.ini

# -----------------------------------------------------------------------------
# udp option
# Changes the base UDP NIO port for all labs. Default is 10000
# Usage:
# udp = 11000

# -----------------------------------------------------------------------------
# telnet option
# Specify the command to execute when using the telnet command from the CLI
# The following substitutions are performed:
# %h = host
# %p = port
# %d = device name

# Uncomment below for Windows
#telnet = start telnet %h %p
# Or better yet for Terra Term SSH users:
#telnet = C:\progra~1\TTERMPRO\ttssh.exe %h %p /W=%d /T=1
# For PuTTY users:
#telnet = start C:\progra~1\PuTTY\putty.exe -telnet %h %p
# For SecureCRT
#telnet = start C:\progra~1\SecureCRT\SecureCRT.EXE /script c:\progra~1\dynamips\securecrt.vbs /arg %d /T /telnet %h %p  & sleep 1
# SecureCRT 6 changes the install location
#telnet = start C:\progra~1\vandyk~1\SecureCRT\SecureCRT.EXE /script c:\progra~1\dynamips\securecrt.vbs /arg %d /T /telnet %h %p & sleep 1


# Uncomment below for Linux
telnet = xterm -T %d -e telnet %h %p > /dev/null 2>&1 &


# Uncomment below for OS X with Terminal
#telnet = /usr/bin/osascript -e 'tell application "Terminal" to do script with command "telnet %h %p ; exit"' -e 'tell application "Terminal" to tell window 1  to set custom title to "%d"'

# Uncomment below of OS X with Terminal with named tabs (requires Leopard)
#telnet = /usr/bin/osascript -e 'tell application "System Events" to tell process "Terminal" to keystroke "t" using command down' -e 'tell application "Terminal" to do script with command "telnet %h %p ; exit" in last tab of first window' -e 'tell application "Terminal" to tell window 1  to set custom title to "%d"'


# Uncomment below for OS X with iTerm with named tabs
#telnet = /usr/bin/osascript -e 'tell app "iTerm"' -e 'activate' -e 'set myterm to the first terminal' -e 'tell myterm' -e 'set mysession to (make new session at the end of sessions)' -e 'tell mysession' -e 'exec command "telnet %h %p"' -e 'set name to "%d"' -e 'end tell' -e 'end tell' -e 'end tell'
